package talk;

/**
   A TalkApp is a talk application.  An ITalkSession communicates with the
   frontend through the ITalkApp interface.
*/
public interface ITalkApp {

  /** creates a new View for a talk session with given title */
  public ITalkView createView(ITalkSession session, String title);
  
   /** Display an error message to local user */
   public void displayErrorMessage(String msg);

  /** Get current program options */
  public TalkOptions getOptions();
}
